
Redmine - Feature #69

Textilized description in PDF

2007-06-27 00:16 - Balazs Dan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 100%

Category: PDF export Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed   

Description

When exporting an issue then textile symbols (under description and history) appear in PDF files without formatting!

Related issues:

Related to Redmine - Feature #3261: support attachment images in PDF export Closed 2009-04-29

Related to Redmine - Defect #8737: Broken line of long issue description on i... Closed 2011-07-02

Related to Redmine - Feature #6280: Multi-issue PDF export New 2010-09-03

Related to Redmine - Defect #61: Broken character encoding in pdf export Closed

Related to Redmine - Defect #4787: Gannt to PNG - CJK (Chinese, Japanese and ... Closed 2010-02-10

Has duplicate Redmine - Defect #1785: View PDF : New Issue when opened in PDF... Closed 2008-08-13

Has duplicate Redmine - Feature #2731: PDF issues export and formated content Closed 2009-02-12

Has duplicate Redmine - Defect #3139: <pre> is not rendered in PDF Closed 2009-04-08

Has duplicate Redmine - Feature #6922: Issues PDF export looses formating Closed 2010-11-17

Has duplicate Redmine - Feature #925: Better formatting in issue reports  (re... Closed 2008-03-25

Associated revisions

Revision 6131 - 2011-06-30 05:47 - Toshi MARUYAMA

PDF: import Japanese rfpdf patch for textilized PDF (#69).

Contributed by Jun NAITOH.

Revision 6132 - 2011-06-30 05:47 - Toshi MARUYAMA

PDF: import Korean rfpdf patch for textilized PDF (#69).

Contributed by Jun NAITOH.

Revision 6133 - 2011-06-30 05:48 - Toshi MARUYAMA

PDF: import Chinese rfpdf patch for textilized PDF (#69).

Contributed by Jun NAITOH.

Revision 6134 - 2011-06-30 06:00 - Toshi MARUYAMA

PDF: import rfpdf tcpdf patch for textilized PDF (#69).

Contributed by Jun NAITOH.

Revision 6135 - 2011-06-30 13:47 - Toshi MARUYAMA

PDF: add 'ln' parameter for drawing lines at RDMMultiCell() (#69).

Contributed by Jun NAITOH.

Revision 6136 - 2011-07-01 06:44 - Toshi MARUYAMA

PDF: use RDMMultiCell for drawing lines of issue description (#69).

Contributed by Jun NAITOH.

Revision 6137 - 2011-07-01 09:49 - Toshi MARUYAMA
PDF: add new "RDMwriteHTMLCell" method for textilized PDF (#69).

Contributed by Jun NAITOH.

Revision 6141 - 2011-07-01 13:53 - Toshi MARUYAMA

PDF: support textilized issue description on issue (#69).

Contributed by Jun NAITOH.

Revision 6142 - 2011-07-01 13:54 - Toshi MARUYAMA

PDF: support textilized journal notes on issue (#69).

Contributed by Jun NAITOH.

Revision 6154 - 2011-07-02 15:54 - Toshi MARUYAMA

PDF: support textilized changeset comments (revision log) on issue (#69).

History

#1 - 2008-01-03 17:16 - Gumer Coronel Pérez

I've try fix this bug using RFPDF#write_html method

in views/issues/_pdf.rpdf to format issue.description.

RFPDF#write_html method appear to be broken (html styles doesn't

work, almost for me)

For use write_html method we have to include RFPDF

in ifpdf_helper.rb

Any idea?

#2 - 2008-01-03 17:18 - Gumer Coronel Pérez

Here you are the patch (broken)

Index: app/helpers/ifpdf_helper.rb

=================================================================

==

--- app/helpers/ifpdf_helper.rb (revisiÃƒÂ³n: 1034)

+++ app/helpers/ifpdf_helper.rb (copia de trabajo)

@@ -22,6 +22,7 @@

   class IFPDF < FPDF

     include GLoc

+    include RFPDF

     attr_accessor :footer_date

     def initialize(lang)

Cambios de propiedades en app/views/issues

_________________________________________________________________

__

Nombre: svn:ignore

   + .index.rfpdf.swp

Index: app/views/issues/_pdf.rfpdf

=================================================================

==

--- app/views/issues/_pdf.rfpdf (revisiÃƒÂ³n: 1034)

+++ app/views/issues/_pdf.rfpdf (copia de trabajo)

@@ -61,7 +61,9 @@

     pdf.Cell(35,5, l(:field_description) + ":")

     pdf.SetFontStyle('',9)

     pdf.MultiCell(155,5, issue.description,"BR")

-    

+

+    pdf.write_html(Redmine::WikiFormatting.to_html(issue.descrip

tion))

+

     pdf.Line(pdf.GetX, y0, pdf.GetX, pdf.GetY)

        pdf.Line(pdf.GetX, pdf.GetY, 170, pdf.GetY)
#3 - 2008-08-07 09:24 - colin moock

i noticed this defect too. exporting an issue to PDF produces unformatted text, with original formatting characters such as ".h1" shown verbatim. any

update on this bug?

#4 - 2009-04-08 11:23 - Fabian Buch

The same applies for numbers. If referred to in comments it's hard to find if it's only printed as "#".

#5 - 2010-10-28 10:26 - Frank Helk

+1

Effect is still alive in 1.0.1. Seen "bold" format in description appearing in PDF as 

*bold*

#6 - 2010-10-28 10:33 - Frank Helk

Sorry for posting again: Just tried to get THIS ticket as PDF. Got the same behaviour, so the problem is still alive in 1.0.2.

Seems to need some attention ?

#7 - 2011-01-18 19:17 - Ez Dakit

+1

#8 - 2011-02-02 08:15 - Ian DeFazio

+1

#9 - 2011-03-23 09:00 - Toshi MARUYAMA

- Category set to PDF export

#10 - 2011-04-19 11:24 - Etienne Massip

- Target version set to Candidate for next major release

#11 - 2011-05-31 17:00 - Mister Vince

Images are also not shown in PDF export. Could it be possible to add it to PDF ?

#12 - 2011-06-29 16:43 - Jun NAITOH

- File wiki_test_sample.txt added

- File wiki_test_sample.pdf added

- File pdf.rb_r6129.patch added

- File tcpdf.rb_r6129.patch added

- File japanese.rb_r6129.patch added

- File chinese.rb_r6129.patch added

- File korean.rb_r6129.patch added

I implemented wiki formatting for Description and Notes.

and I expanded Description field.

Mister Vince wrote:

Images are also not shown in PDF export. Could it be possible to add it to PDF ?

 Sorry, I didn't implement show of images in this patch.

but I think to possible.

not implement html (wiki)tag

image tag

align tag

toc
#13 - 2011-06-29 23:04 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

#14 - 2011-06-30 01:10 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

#15 - 2011-06-30 02:24 - Toshi MARUYAMA

- Target version changed from Candidate for next major release to 1.3.0

- % Done changed from 0 to 70

I have finished code review. Great job!!

#16 - 2011-07-01 15:41 - Jun NAITOH

Thank you!

#17 - 2011-08-18 13:43 - Toshi MARUYAMA

- File jruby-win-en.pdf added

- Status changed from New to Closed

- % Done changed from 70 to 100

- Resolution set to Fixed

I finished tests on following environments.

Linux(Fedora13) CRuby and JRuby,

Japanese Windows Mingw Ruby and JRuby 1.6.2.

I attach the PDF which has a revision comment on Windows + JRuby.

#18 - 2019-03-04 04:41 - Go MAEDA

- Has duplicate Feature #925: Better formatting in issue reports  (respect wiki markup) added

Files

textileissue.pdf 1.97 KB 2008-02-03 Balazs Dan

wiki_test_sample.txt 2.83 KB 2011-06-29 Jun NAITOH

wiki_test_sample.pdf 402 KB 2011-06-29 Jun NAITOH

pdf.rb_r6129.patch 2.34 KB 2011-06-29 Jun NAITOH

tcpdf.rb_r6129.patch 25 KB 2011-06-29 Jun NAITOH

japanese.rb_r6129.patch 2.35 KB 2011-06-29 Jun NAITOH

chinese.rb_r6129.patch 2.33 KB 2011-06-29 Jun NAITOH

korean.rb_r6129.patch 2.43 KB 2011-06-29 Jun NAITOH

jruby-win-en.pdf 439 KB 2011-08-18 Toshi MARUYAMA
